import { ColorHighlight as ColorHighlightElement, defineCustomElement as defineColorHighlight } from "@kit-data-manager/pid-component/dist/components/color-highlight.js";
import { CopyButton as CopyButtonElement, defineCustomElement as defineCopyButton } from "@kit-data-manager/pid-component/dist/components/copy-button.js";
import { LocaleVisualization as LocaleVisualizationElement, defineCustomElement as defineLocaleVisualization } from "@kit-data-manager/pid-component/dist/components/locale-visualization.js";
import { PidComponent as PidComponentElement, defineCustomElement as definePidComponent } from "@kit-data-manager/pid-component/dist/components/pid-component.js";
import { createComponent, createSSRComponent } from '@stencil/react-output-target/runtime';
import React from 'react';
export const ColorHighlight = typeof window !== 'undefined'
    ? createComponent({
        tagName: 'color-highlight',
        elementClass: ColorHighlightElement,
        react: React,
        events: {},
        defineCustomElement: defineColorHighlight
    })
    : createSSRComponent({
        tagName: 'color-highlight',
        properties: { text: 'text' },
        hydrateModule: import('@kit-data-manager/pid-component/hydrate')
    });
export const CopyButton = typeof window !== 'undefined'
    ? createComponent({
        tagName: 'copy-button',
        elementClass: CopyButtonElement,
        react: React,
        events: {},
        defineCustomElement: defineCopyButton
    })
    : createSSRComponent({
        tagName: 'copy-button',
        properties: { value: 'value' },
        hydrateModule: import('@kit-data-manager/pid-component/hydrate')
    });
export const LocaleVisualization = typeof window !== 'undefined'
    ? createComponent({
        tagName: 'locale-visualization',
        elementClass: LocaleVisualizationElement,
        react: React,
        events: {},
        defineCustomElement: defineLocaleVisualization
    })
    : createSSRComponent({
        tagName: 'locale-visualization',
        properties: {
            locale: 'locale',
            showFlag: 'show-flag'
        },
        hydrateModule: import('@kit-data-manager/pid-component/hydrate')
    });
export const PidComponent = typeof window !== 'undefined'
    ? createComponent({
        tagName: 'pid-component',
        elementClass: PidComponentElement,
        react: React,
        events: {},
        defineCustomElement: definePidComponent
    })
    : createSSRComponent({
        tagName: 'pid-component',
        properties: {
            value: 'value',
            settings: 'settings',
            openByDefault: 'open-by-default',
            amountOfItems: 'amount-of-items',
            levelOfSubcomponents: 'level-of-subcomponents',
            currentLevelOfSubcomponents: 'current-level-of-subcomponents',
            hideSubcomponents: 'hide-subcomponents',
            emphasizeComponent: 'emphasize-component',
            showTopLevelCopy: 'show-top-level-copy',
            defaultTTL: 'default-t-t-l'
        },
        hydrateModule: import('@kit-data-manager/pid-component/hydrate')
    });
//# sourceMappingURL=components.server.js.map